Subject: bug#16151: closed (Re: bug#16151: margin does not respect face-remapping-alist. no margin face.)

From: David Reitter <[email-masked]>
Date: Sun, 15 Dec 2013 14:41:26 -0500

On Dec 15, 2013, at 12:05 PM, GNU bug Tracking System <[email-masked]> wrote:
> 
> (I'm guessing this wasn't exactly "emacs -Q", because custom-invalid
> face is not known in 'emacs -Q", at least on my system.)

Yes, sorry, it seems that custom-invalid got loaded when I ran customize-face to work out the test case.
> 
> No, they do take the face remapping into account.  Otherwise, how
> could you have the correct face where the line numbers _are_ written
> in the margin, as clearly seen in your screenshots?

`linum' is a face that inherits from default, so that's where I expected this came from.

Anyway, thanks for fixing this so quickly.

> ??? What is shown in the margins is display strings which have to be
> hand-crafted anyway, so you can have any face you want there, just
> propertize the string accordingly.  Why do we need another face?

Is there another way to set the color of the background now?  We have the margin, then the fringe and then the regular window contents.  Normally, I would use the same background for fringe and margin.  

The `linum' face I mentioned just customizes actual line numbers, but not areas where there are no line numbers (e.g., wrapped lines, or beyond the end of the buffer, as in this example).

Pretty much everything else is customizable, so it would having a margin face would just be consistent.